%define major 1
%define libxdg %mklibname xdg-basedir %{major}
%define libdev %mklibname xdg-basedir -d
%define libdevstatic %mklibname xdg-basedir -d -s

Name:		libxdg-basedir
Version:	1.2.0
Release:	%mkrel 2
Summary:	The XDG Base Directory specification defines where files should be looked for
Group:		System/Libraries
License:	MIT
URL:		https://www.ohloh.net/p/libxdg-basedir
Source0:	http://n.ethz.ch/~nevillm/download/libxdg-basedir/libxdg-basedir-%{version}.tar.gz

BuildRequires:	doxygen

%description
The XDG Base Directory Specification defines where should user files be looked
for by defining one or more base directories relative in with they should be
located.

This library implements functions to list the directories according to the
specification and provides a few higher-level functions.

#------------------------------------------------------------------------------
%package -n %{libxdg}
Summary:	The XDG Base Directory specification defines where files should be looked for
Group:		System/Libraries
Provides:	%{name} = %{version}

%description -n %{libxdg}
The XDG Base Directory Specification defines where should user files be looked
for by defining one or more base directories relative in with they should be
located

%files -n %{libxdg}
%defattr(-,root,root,-)
%_libdir/libxdg-basedir.so.%{major}
%_libdir/libxdg-basedir.so.%{major}.*

#------------------------------------------------------------------------------
%package -n %{libdev}
Summary:	Development Files for %{name}
Group:		Development/Other
Requires:	%{name} = %{version}
Provides:	xdg-basedir-devel = %{version}-%{release}

%description -n %{libdev}
Development Files for %{name}

%files -n %{libdev}
%defattr(-,root,root,-)
%_includedir/basedir.h
%_includedir/basedir_fs.h
%_libdir/libxdg-basedir.so
%_libdir/pkgconfig/libxdg-basedir.pc

#------------------------------------------------------------------------------
%package -n %{libdevstatic}
Summary:	Static development files for %{name}
Group:		Development/Other
Requires:	%{libdev} = %{version}
Provides:	libxdg-basedir-static-devel = %{version}-%{release}

%description -n %{libdevstatic}
Static development files for %{name}

%files -n %{libdevstatic}
%defattr(-,root,root,-)
%_libdir/libxdg-basedir.a
#------------------------------------------------------------------------------
%prep
%setup -q -n libxdg-basedir-%{version}

%build
%configure2_5x --enable-static
%make

%install
%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.la


%changelog
* Mon Oct 21 2013 umeabot <umeabot> 1.2.0-2.mga4
+ Revision: 539403
- Mageia 4 Mass Rebuild

* Sun Oct 06 2013 fwang <fwang> 1.2.0-1.mga4
+ Revision: 492118
- new version 1.2.0 (from fedora)

* Sat Jan 12 2013 umeabot <umeabot> 1.1.1-4.mga3
+ Revision: 358531
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jun 10 2012 fwang <fwang> 1.1.1-3.mga3
+ Revision: 259234
- drop .la file

* Thu Jan 20 2011 blino <blino> 1.1.1-2.mga1
+ Revision: 25720
- remove old ldconfig scriptlets
- imported package libxdg-basedir


* Sun Aug 08 2010 Rémy Clouard <shikamaru@mandriva.org> 1.1.1-1mdv2011.0
+ Revision: 567673
- bump release
- fix file list

* Sat Sep 19 2009 Rémy Clouard <shikamaru@mandriva.org> 1.0.2-1mdv2010.1
+ Revision: 444660
- bump release

* Thu May 21 2009 Rémy Clouard <shikamaru@mandriva.org> 1.0.1-1mdv2010.0
+ Revision: 378432
- new upstream release

* Sat May 16 2009 Rémy Clouard <shikamaru@mandriva.org> 1.0.0-1mdv2010.0
+ Revision: 376492
- fix static provides?\195
- fix major
- import libxdg-basedir


